document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_24300
--- +++ @@ -28,3 +28,7 @@ --remove-stacks-keypairs true \ --nodestack-prefix repro \ --autorun; + +export $(awk '/subnode-0/ {print $2}' reproduce/multinode_hosts); + +scp -r zuul@$ansible_host:scripts ~/scripts
bash
d_bash_24301
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -# Set permissions 775 for directories, and 664 for files, recursively +# Set permissions 755 for directories, and 664 for files, recursively # Source: http://superuser.com/a/51873 -find . \( -type d -exec chmod 775 {} \; \) -o \( -type f -exec chmod 664 {} \; \) +find . \( -ty...
bash
d_bash_24302
--- +++ @@ -4,10 +4,10 @@ echo 'This installer will install the AresBD C&C Panel.' echo 'The following files will be installed: ' echo " +$HOME/Ares $HOME/Ares/aresbd.bash $HOME/Ares/aresbd.conf $HOME/Ares/Modules -$HOME/Ares/Modules/.DS_Store $HOME/Ares/Modules/attackLogic.abdmodule $HOME/Ares/Modules/attack...
bash
d_bash_24303
--- +++ @@ -7,7 +7,7 @@ # Install examples project and link to local sinon folder cd "$SCRIPT_DIR" -npm install +npm install --ignore-scripts npm link sinon # Make sure all examples are still runnable @@ -20,6 +20,6 @@ # clean up to avoid circular links confusing watchers npm unlink sinon git checkout -- p...
bash
d_bash_24304
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh file=$1 logger_file=/var/www/miq/vmdb/log/appliance_console.log -logvol_free_space=`df -lk $file | awk '{ print $3 }' | tail -n 1` +logvol_free_space=`df -lk $file | awk '{ print $4 }' | tail -n 1` existing_log_size=`du -k $file | awk '{ print $1 }' | tail -n 1` size_needed=$(($...
bash
d_bash_24305
--- +++ @@ -1,5 +1,16 @@ #!/usr/bin/env sh -echo cloning SFML... +sudo apt-get install libpthread-stubs0-dev +sudo apt-get install libgl1-mesa-dev +sudo apt-get install libx11-dev +sudo apt-get install libxrandr-dev +sudo apt-get install libfreetype6-dev +sudo apt-get install libglew1.5-dev +sudo apt-get install l...
bash
d_bash_24306
--- +++ @@ -4,6 +4,9 @@ getpkg http://www.squid-cache.org/Versions/v4/squid-${SQUID_VERSION}.tar.gz $SQUID_SHA256SUM tar zxf squid-${SQUID_VERSION}.tar.gz cd squid-${SQUID_VERSION} -./configure --prefix=$VENV --disable-auth --with-krb5-config=no --disable-external-acl-helpers --disable-eui --disable-arch-native --...
bash
d_bash_24307
--- +++ @@ -4,17 +4,17 @@ NODE_UUID=$(opsbro agent print uuid) -CPU_KEY="__health/$NODE_UUID//var/lib/opsbro/global-configuration/packs/linux/monitoring/cpu" +DISK_KEY="__health/$NODE_UUID//var/lib/opsbro/global-configuration/packs/linux/monitoring/disks" -opsbro kv-store wait-exists "$CPU_KEY" +opsbro kv-stor...
bash
d_bash_24308
--- +++ @@ -9,8 +9,8 @@ export LD_LIBRARY_PATH=$(pwd)/lib:$LD_LIBRARY_PATH MNECPP_ROOT=$(pwd) -# Tests to run - tbd: find required tests automatically with grep -tests=( test_codecov test_fiff_rwr test_dipole_fit ) +# Tests to run - TODO: find required tests automatically with grep +tests=( test_codecov test_fiff...
bash
d_bash_24309
--- +++ @@ -9,7 +9,7 @@ item=${itemName:0:$itemLength-10} # echo $item if [[ -d $itemName ]] ; then - zip -9r "${item}.zip" "$itemName" + ditto -c -k --rsrc --keepParent "$itemName" "${item}.zip" cp "${item}.zip" "$2" fi done
bash
d_bash_24310
--- +++ @@ -18,6 +18,9 @@ cp tests.ini ../halite.ini python3 setupMysql.py || python setupMysql.py +echo "Website tests" +phpunit --stderr website/ + echo "Worker tests" cat ../halite.ini cd worker
bash
d_bash_24311
--- +++ @@ -2,7 +2,7 @@ # build config # PACKAGES="" -INFLUXDB_VERSION="1.1.0" +INFLUXDB_VERSION="1.1.1" configure_bob() {
bash
d_bash_24312
--- +++ @@ -15,7 +15,7 @@ export ANCHORE_TEST_SWIFT_USER="test:tester" export ANCHORE_TEST_SWIFT_CONTAINER="testarchive" -export ANCHORE_TEST_DB_URL="postgresql+pg8000://postgres:postgres@localhost:5432/postgres" +export ANCHORE_TEST_DB_URL="postgresql://postgres:postgres@localhost:5432/postgres" export ANCHORE_...
bash
d_bash_24313
--- +++ @@ -2,11 +2,19 @@ set -e set -x -temp_file=/tmp/PS4M.db-$(date +\%m-\%d-\%Y) +temp_file='/tmp/PS4M.db' +if [ $# -gt 1 ]; then + echo "Usage: $0 [label]" + exit 1 +elif [ $# -gt 0 ]; then + echo "Using label: $1" + temp_file=$temp_file'-'$1 +fi +temp_file=$temp_file'-'$(date +\%m-\%d-\%Y) + m...
bash
d_bash_24314
--- +++ @@ -20,7 +20,7 @@ ;; test) - cabal new-test -j4 \ + cabal new-test -j4 --enable-tests \ $CABAL_FLAGS "$@" ;;
bash
d_bash_24315
--- +++ @@ -11,5 +11,5 @@ -v $TKSRC:/root/.tksrc \ -v $CONFIGDIR:/root/.taxi \ -v $DATADIR:$DATADIR \ - taxi-tmp \ + mjanser/taxi \ $@
bash
d_bash_24316
--- +++ @@ -31,6 +31,7 @@ brew_install () { local pkg=$1 + # if pkg is already installed, upgrade it if brew list -1 | grep -q "^${pkg}\$"; then brew_upgrade "$pkg" else @@ -41,7 +42,8 @@ brew_upgrade () { local pkg=$1 if ! brew outdated "$pkg"; then - run brew upgrade "$pkg" + # allow ...
bash
d_bash_24317
--- +++ @@ -1,3 +1,4 @@ #!/bin/zsh PURE_CMD_MAX_EXEC_TIME=1 PROMPT='%(?.%F{green}.%F{red})❯%f ' +RPROMPT='%{$fg[blue]%}($ZSH_KUBECTL_PROMPT)%{$reset_color%}'
bash
d_bash_24318
--- +++ @@ -1,5 +1,7 @@ #!/bin/bash # Invoke with: ./tools/clean.sh + +no_compile=$1 if [ -f .project ]; then cp .project .pydevproject /tmp @@ -11,6 +13,8 @@ cp /tmp/.project /tmp/.pydevproject . fi -cd sts/hassel/hassel-c -make +if [ "$no_compile" != "" ]; then + cd sts/hassel/hassel-c + make +f...
bash
d_bash_24319
--- +++ @@ -6,3 +6,5 @@ apt-get update --assume-yes apt-get install --assume-yes cmake cmake --version # This allows us to confirm which version of cmake has been installed. + +apt-get --allow-unauthenticated upgrade
bash
d_bash_24320
--- +++ @@ -32,9 +32,11 @@ echo "Starting server..." echo export PORT=19832 -eval $(cat Procfile | cut -c6-) & # Run the Procfile command -server_pid=%1 +command=$(cat Procfile | cut -c6-)" &" +eval $command # Run the Procfile command + +server_pid=$! timeout_secs=15 echo "Waiting ${timeout_secs} seconds for...
bash
d_bash_24321
--- +++ @@ -9,4 +9,4 @@ # 4 param is the launch file # Following params are the roslaunch arguments -ssh -t -t $1 'source ~/.zshrc; export ROS_MASTER_URI=http://'$2':11311/; zsh -o HUP -c "roslaunch '${@:3}'"' +ssh -t -t $1 'source ~/.zshrc; export ROS_MASTER_URI=http://'$2':11311/; zsh -o HUP -c "roslaunch '${*:...
bash
d_bash_24322
--- +++ @@ -2,7 +2,7 @@ set -ex -o pipefail BCBIO_VERSION="1.0.9a" -BCBIO_REVISION="0c12f78" +BCBIO_REVISION="b1c8e2a" NS="quay.io/bcbio" TAG="${BCBIO_VERSION}-${BCBIO_REVISION}"
bash
d_bash_24323
--- +++ @@ -1,9 +1,16 @@ #!/bin/bash -exu + +save_state() { + local output_dir=$1 + cp bbl-state.json "${output_dir}" +} main() { local build_dir="${PWD}" local output_dir="$PWD/updated-bbl-state/" local env_assets="$PWD/bosh-src/ci/acceptance" + + trap "save_state ${output_dir}" EXIT mkdir -p bb...
bash
d_bash_24324
--- +++ @@ -1,5 +1,8 @@ # Clean up any unreleased virtual frame buffer instances and prepare the new one -rm /tmp/.X9-lock + +if [ -f /tmp/.X9-lock ]; then + rm /tmp/.X9-lock +fi # Create new virtual frame buffer with X-Window environment Xvfb -ac -screen scrn 1280x960x24 :9.0 &
bash
d_bash_24325
--- +++ @@ -6,28 +6,17 @@ export ARCH=`uname -m` -# Pull known working tools toward the end of 2016 -wget http://dl.google.com/android/repository/android-ndk-r13b-linux-${ARCH}.zip -wget https://dl.google.com/android/repository/tools_r25.2.5-linux.zip -wget https://dl.google.com/android/repository/platform-tools...
bash
d_bash_24326
--- +++ @@ -7,8 +7,8 @@ # Check if the latest tag is in the beta channel. tmp_dir="$(mktemp -d)" source="$(cat snapcraft.yaml | grep source: | head -n 1 | awk '{printf $2}')" -git clone "${source}" "${tmp_dir}" -last_committed_tag="$(git -C "${tmp_dir}" describe --tags --abbrev=0)" +wget --output-document=releases...
bash
d_bash_24327
--- +++ @@ -2,28 +2,30 @@ # This will remove the following. # 1. Unset environment variable: KALITE_PYTHON -# 2. remove the .plist file, need admin -# 3. delete the symlinked /usr/bin/kalite command, need admin +# 2. Remove the .plist file, need admin +# 3. Delete kalite executable symlinked. K...
bash
d_bash_24328
--- +++ @@ -1,6 +1,7 @@ #!/usr/bin/env bash mkdir ../stash_engines -git clone git@github.com:CDLUC3/stash_engine.git ../stash_engines/stash_engine -git clone git@github.com:CDLUC3/stash_datacite.git ../stash_engines/stash_datacite -git clone git@github.com:CDLUC3/stash-harvester.git ../stash-harvester +git clone ...
bash
d_bash_24329
--- +++ @@ -10,10 +10,10 @@ index-servers = pypi - [pypi] - repository: https://pypi.python.org/pypi - username:$PYPI_USERNAME - password:$PYPI_PASSWORD +[pypi] +repository: https://pypi.python.org/pypi +username:$PYPI_USERNAME +password:$PYPI_PASSWORD EOF # replace SNAPSHOT with tagged versio...
bash
d_bash_24330
--- +++ @@ -18,4 +18,5 @@ # Display commands being run. set -x -./build.sh FULL +DIR=$(dirname $0) +$DIR/build.sh FULL
bash
d_bash_24331
--- +++ @@ -2,7 +2,7 @@ set -e -VLC="./vlc --ignore-config" +VLC="./vlc -I dummy --ignore-config" $VLC -H $VLC -vv vlc://quit
bash
d_bash_24332
--- +++ @@ -15,4 +15,7 @@ # Install homebrew packages brew install grc coreutils spark +# Development utils +brew install pup httpie jq moreutils + exit 0
bash
d_bash_24333
--- +++ @@ -10,7 +10,7 @@ source /dev/stdin <<EOF gitlog() { - "$WD"/gitlog.sh "\$@" + "$my_dir"/gitlog.sh "\$@" } EOF export -f gitlog
bash
d_bash_24334
--- +++ @@ -34,8 +34,8 @@ test/unit/render_cache.test.js \ test/unit/windshaft.test.js -echo "Running acceptance tests" +#echo "Running acceptance tests" # This one still fails, but in a different way -mocha --ignore-leaks -u tdd test/acceptance/server.js +#mocha --ignore-leaks -u tdd test/acceptance/server....
bash
d_bash_24335
--- +++ @@ -39,4 +39,4 @@ EOF -java -jar /opt/logstash.jar agent -f /opt/logstash.conf -- web +java -jar /opt/logstash.jar agent -f /opt/logstash.conf
bash
d_bash_24336
--- +++ @@ -15,11 +15,11 @@ fi if [ ! -d "vendor" ]; then - ./composer.phar install + ./composer.phar install --no-interaction fi if [ ! -d "build/vendor" ]; then - ./composer.phar -d=build install + ./composer.phar -d=build install --no-interaction fi ulimit -Sn $(ulimit -Hn)
bash
d_bash_24337
--- +++ @@ -2,6 +2,7 @@ # quotation is missing bug eg. `git commit -m "xxx yyy"`` # zstyle ':autocomplete:*' groups always zstyle ':autocomplete:tab:*' completion cycle +zstyle ':autocomplete:*' magic off function precmd_remove_up_down_bindkey() { bindkey '^[OA' up-line-or-history
bash
d_bash_24338
--- +++ @@ -1,4 +1,4 @@ -if [[ `echo $TRAVIS_BRANCH` = "master" ]]; then +if [[ `echo $TRAVIS_BRANCH` = "master" && `echo $SAUCE_USERNAME` != "" ]]; then # Run basic and SauceLabs tests echo "Running complete test suite..." npm test || exit 1
bash
d_bash_24339
--- +++ @@ -5,6 +5,9 @@ rm -fr /root/{.ssh,.ansible,.cache} rm -fr /root/'~'* +# Truncate any log files +find /var/log -type f -print0 | xargs -0 truncate -s0 + dd if=/dev/zero of=/EMPTY bs=1M rm -f /EMPTY sync
bash
d_bash_24340
--- +++ @@ -36,4 +36,4 @@ cd yaourt makepkg -si -#yaourt -S exaile +yaourt -S exaile
bash
d_bash_24341
--- +++ @@ -6,25 +6,28 @@ # It's based on this blog post: http://philipuren.com/serendipity/index.php?/archives/21-Using-Travis-to-automatically-publish-documentation.html -# build doxygen from source so we can have the latest and greatest -sudo apt-get install flex bison -git clone --branch Release_1_8_9_1 --de...
bash
d_bash_24342
--- +++ @@ -8,7 +8,7 @@ cd ~ wget -q "$REPO/$PROJECT/archive/$BRANCH.zip" -O ~/$PROJECT-temp.zip -unzip -qq ~/$PROJECT-temp.zip -d ~ -cd ~/$PROJECT-$BRANCH/install +unzip -qq -o ~/$PROJECT-temp.zip -d ~ +cd ~/$PROJECT-$BRANCH -sh ./$PROJECT.sh install $1 +sh ./install/$PROJECT.sh install $1
bash
d_bash_24343
--- +++ @@ -1,14 +1,11 @@ #!/bin/bash - -BINARY_HOME=$PREFIX/bin -PKG_HOME=$PREFIX/opt/$PKG_NAME-$PKG_VERSION cd $SRC_DIR/bin binaries="\ sak \ " + mkdir -p $PREFIX/bin -mkdir -p $PKG_HOME -for i in $binaries; do cp $SRC_DIR/bin/$i $PKG_HOME/$i && chmod a+x $PKG_HOME/$i && ln -s $PKG_HOME/$i $BINARY_HOME/...
bash
d_bash_24344
--- +++ @@ -1,6 +1,11 @@ #!/bin/bash -x set -e + +# Try to merge master into the current branch, and abort if it doesn't exit +# cleanly (ie there are conflicts). This will be a noop if the current branch +# is master. +git merge --no-commit origin/master || git merge --abort bundle install --path "${HOME}/bun...
bash
d_bash_24345
--- +++ @@ -1,3 +1,4 @@ +export CC=${PREFIX}/bin/gcc export CFLAGS="-O2 -fopenmp -I$PREFIX/include -I" cd $SRC_DIR/src make
bash
d_bash_24346
--- +++ @@ -17,7 +17,10 @@ rm -f "$DISTDIR/Release" "$DISTDIR/Release.gpg" -apt-ftparchive -o "APT::FTPArchive::Release::Architectures"="amd64 i386" -o "APT::FTPArchive::Release::Codename=$DIST" release "$DISTDIR" > "$RELEASE" +apt-ftparchive -o "APT::FTPArchive::Release::Architectures"="amd64 i386" \ + -o "APT...
bash
d_bash_24347
--- +++ @@ -1,11 +1,15 @@ #!/bin/bash +# -curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.33.2/install.sh | bash -chmod 755 $HOME/.nvm/nvm.sh +set -e + +if [ ! -d $HOME/.nvm/nvm.sh ]; then + curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.33.2/install.sh | bash + chmod 755 $HOME/.nv...
bash
d_bash_24348
--- +++ @@ -22,8 +22,8 @@ mkdir -p "${tmp_dir}" cd "${tmp_dir}" -mysqldump --no-data --allow-keywords -h"${host}" -uroot -p"${root_password}" "${db}" > "${filename}" -mysqldump --no-create-info "${ignore[@]}" --allow-keywords -h"${host}" -uroot -p"${root_password}" "${db}" >> "${filename}" +mysqldump --single-tra...
bash
d_bash_24349
--- +++ @@ -4,4 +4,3 @@ yadr vim-add-plugin -u https://github.com/jgdavey/tslime.vim yadr vim-add-plugin -u https://github.com/t9md/vim-ruby-xmpfilter yadr vim-add-plugin -u https://github.com/pangloss/vim-javascript -yadr vim-add-plugin -u https://github.com/mxw/vim-jsx
bash
d_bash_24350
--- +++ @@ -5,7 +5,7 @@ export PGPASSWORD=$POSTGRES_PASSWORD -psql -h db -U $POSTGRES_USER $POSTGRES_DB -c 'SELECT * FROM ART_DATABASE_VERSION' +psql -h ${POSTGRES_HOST:-db} -U $POSTGRES_USER $POSTGRES_DB -c 'SELECT * FROM ART_DATABASE_VERSION' if [[ $? > 0 ]]; then echo "Seams DB does not initialised! Try ...
bash
d_bash_24351
--- +++ @@ -6,6 +6,8 @@ alias qnd-deploy='(cd ~/workspace/cf-release && bosh --parallel 10 sync blobs && bosh create release --name cf --force && bosh upload release && bosh -n deploy)' alias qnd-deploy-diego='(cd ~/workspace/diego-release && bosh --parallel 10 sync blobs && scripts/update && scripts/deploy && bosh...
bash
d_bash_24352
--- +++ @@ -1,2 +1,3 @@ ln -sf $PWD/../files/profile ~/.profile ln -sf $PWD/../files/screenrc ~/.screenrc +ln -sf $PWD/../files/vimrc ~/.vimrc
bash
d_bash_24353
--- +++ @@ -5,7 +5,13 @@ GHCFLAGS='--make -Wall -fno-warn-unused-matches -cpp' ISPOSIX=-DHAVE_UNIX_PACKAGE -rm moduleTest +rm -f moduleTest mkdir -p dist/debug -$HC $GHCFLAGS $ISPOSIX -DDEBUG -odir dist/debug -hidir dist/debug -idist/debug/:.:tests/HUnit-1.0/src tests/ModuleTest.hs -o moduleTest +$HC $GHCFLAGS ...
bash
d_bash_24354
--- +++ @@ -2,9 +2,6 @@ # This script makes sure that Jenkins can properly run your tests against your # codebase. set -e - -DB_HOST="localhost" -DB_USER="hudson" echo "Starting build on executor $EXECUTOR_NUMBER..." @@ -13,9 +10,6 @@ # Make sure there's no old pyc files around. find . -name '*.pyc' -exec r...
bash
d_bash_24355
--- +++ @@ -20,3 +20,10 @@ sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable" && sudo apt update && sudo apt install -y docker-ce docker-ce-cli containerd.io + +sudo curl -L "https://github.com/docker/compose/releases/download/1.27.4/docker-compose...
bash
d_bash_24356
--- +++ @@ -2,35 +2,16 @@ set -xe I=/root/rootfs.img -M=mountpath rm -f "$I" rm -f "$I".xz -truncate -s2G "$I" -mkfs.ext4 "$I" -mkdir -p "$M" +# Create an ext4 filesystem from a directory +mkfs.ext4 -v -d chroot "$I" 2G -# In some container environments, a loop device might not be available. -ls /dev/loop...
bash
d_bash_24357
--- +++ @@ -9,9 +9,11 @@ ping=`host $instance_name.tater.io 8.8.8.8 | grep -o "not found"` done +echo "http://$instance_name.tater.io/seed?fullName=$full_name&emailAddress=$email_address&orgName=$organization_name&tenantName=$instance_name&stripeCustomerId=$stripe_customer_id" #Seed database -phantomjs --ssl-p...
bash
d_bash_24358
--- +++ @@ -4,6 +4,8 @@ echo 'Combining specs...' node build/gen-specs.js specs /tmp/specs.js public/sitemap.txt [[ $1 == 'production' ]] && cssMini='csso' || cssMini='cat' +echo 'Bundling styles...' +cat src/css/*.css | $cssMini > public/all.css echo 'Bundling scripts...' # TODO: maybe add --noparse /tmp/specs....
bash
d_bash_24359
--- +++ @@ -16,7 +16,7 @@ ] for package in $packages; do - sudo apti-get install $package + sudo apti-get install $package -y # Install PHP Composer curl -sS https://getcomposer.org/installer | php
bash
d_bash_24360
--- +++ @@ -7,7 +7,7 @@ tmp_dir=$2 version=$3 -git clone git@github.com:wildfly-swarm/wildfly-swarm.git $tmp_dir +git clone git@github.com:wildfly-swarm/wildfly-swarm-javadocs.git $tmp_dir cd $tmp_dir git checkout gh-pages git pull
bash
d_bash_24361
--- +++ @@ -1,4 +1,11 @@ # vim:ft=sh +brew () { + deactivate + /usr/local/bin/brew "$@" + # shellcheck disable=SC1091 + . /Volumes/Users/brian/.python/bin/activate +} + if [ -z "$HOMEBREWRC_INCLUDED" ]; then HOMEBREWRC_INCLUDED=yes export HOMEBREWRC_INCLUDED
bash
d_bash_24362
--- +++ @@ -2,7 +2,7 @@ set -ev -yosys -o mem_simple_4x1_synth.v -p 'proc; opt; memory -nomap; techmap -map mem_simple_4x1_map.v;; techmap; opt; abc;; stat' mem_simple_4x1_uut.v +yosys -b 'verilog -noattr' -o mem_simple_4x1_synth.v -p 'proc; opt; memory -nomap; techmap -map mem_simple_4x1_map.v;; techmap; opt; a...
bash
d_bash_24363
--- +++ @@ -3,7 +3,7 @@ export CICD_DIR="$ROOT_DIR/.cicd" export HELPERS_DIR="$CICD_DIR/helpers" export JOBS=${JOBS:-"$(getconf _NPROCESSORS_ONLN)"} -export MOUNTED_DIR='/workdir' +export MOUNTED_DIR='/eos' export DOCKER_CLI_EXPERIMENTAL='enabled' export DOCKERHUB_CI_REGISTRY="docker.io/eosio/ci" export DOCKERH...
bash
d_bash_24364
--- +++ @@ -1,6 +1,8 @@ #!/bin/bash export C_INCLUDE_PATH=${PREFIX}/include +export CPPFLAGS="-I$PREFIX/include" +export CPLUS_INCLUDE_PATH=${PREFIX}/include export LIBRARY_PATH=${PREFIX}/lib (
bash
d_bash_24365
--- +++ @@ -20,27 +20,23 @@ } setAppServerProps(){ - _setProps ${appServerProps} ${2} ${3} + _setProps ${_buildDir}/app.server.${HOSTNAME}.properties ${2} ${3} } setBuildProps(){ - _setProps ${buildProps} ${2} ${3} + _setProps ${_buildDir}/build.${HOSTNAME}.properties ${2} ${3} } setPortalProps(...
bash
d_bash_24366
--- +++ @@ -16,4 +16,6 @@ fi echo "Running Maven deploy" -cmd -e mvn --batch-mode --settings etc/ci/settings.xml deploy -DskipTests=true -Dinvoker.skip=true +cmd -e mvn --batch-mode --settings etc/ci/settings.xml deploy \ + -DskipTests=true -Dinvoker.skip=true \ + -DprepareUpload=true
bash
d_bash_24367
--- +++ @@ -2,4 +2,4 @@ [[ -f ~/.phpbrew/bashrc ]] && source ~/.phpbrew/bashrc # make sure we have the bin in path for composer n stuff -export PATH=~/.phpbrew/.phpbrew/bin:$PATH +export PATH="$HOME/.phpbrew/.phpbrew/bin:$PATH"
bash
d_bash_24368
--- +++ @@ -1,6 +1,8 @@ #!/bin/bash set -e + +apt-get update # Install nodesource prerequisite apt-get install -y curl
bash
d_bash_24369
--- +++ @@ -27,7 +27,7 @@ env CC=${CK_CC} CXX=${CK_CXX} ./bootstrap exit_if_error "Bootsrap failed" -make +make -j exit_if_error "Building CMake failed" cd ${INSTALL_DIR}
bash
d_bash_24370
--- +++ @@ -3,5 +3,12 @@ CONFIG_DIR=${SECANT_CONFIG_DIR:-/etc/secant} source ${CONFIG_DIR}/secant.conf export ONE_XMLRPC=$ONE_XMLRPC -oneuser login secant --cert "$CERT_PATH" --key "$KEY_PATH" --x509 --force -logger -s "Token generated!" + +ret=$(oneuser login secant --cert "$CERT_PATH" --key "$KEY_PATH" --x509 --...
bash
d_bash_24371
--- +++ @@ -29,7 +29,7 @@ # change to the dotfiles directory echo "Changing to the $dir directory..." -cd "$dir" +cd "$dir" || { echo "Failed to find $dir"; exit 1; } sleep 1 echo "...done" echo
bash
d_bash_24372
--- +++ @@ -11,7 +11,8 @@ cd ${APP_ROOT} \ && git checkout master \ - && git pull -X theirs origin-ssh master + && git fetch origin-ssh master \ + && git reset --hard origin-ssh/master ${APP_ROOT}/server/update/update.sh cd ${APP_ROOT}/server/update \ @@ -19,7 +20,8 @@ cd ${APP_ROOT} \ && git stash...
bash
d_bash_24373
--- +++ @@ -11,7 +11,7 @@ docker run -i --rm --net dockernet --ip 10.99.99.3 --name irmin -v $OPAM_DIR:/home/opam/.opam keyfender_buildbase irmin init -a http://0.0.0.0:8081 -d --verbosity=debug -s mem 2>&1 | sed "s/^/<irmin> /" & # run keyfender on port 4433 -docker run -i --rm -p4433:4433 --net dockernet --ip 1...
bash
d_bash_24374
--- +++ @@ -7,5 +7,5 @@ echo "Wait for Vm to be build..." sleep 120 echo "Conect to VM" -echo $apass +echo "pass is:"$apass ssh -o StrictHostKeyChecking=no $HOST
bash
d_bash_24375
--- +++ @@ -14,7 +14,7 @@ *) (test -d re2 || hg clone https://re2.googlecode.com/hg/ re2) - ERL_ARCH=`erl -noinput +B -eval \ + ERL_ARCH=`erl -noinput -eval \ 'io:format("~B",[8 * erlang:system_info(wordsize)]),halt(0).'` CXXFLAGS="-Wall -O3 -fPIC -pthread" LDFLAGS="-pthread"
bash
d_bash_24376
--- +++ @@ -1,5 +1,5 @@ #!/usr/bin/env sh rm -f codeclimate.json -xphp70 vendor/bin/test-reporter --stdout > codeclimate.json +php vendor/bin/test-reporter --stdout > codeclimate.json curl -X POST -d @codeclimate.json -H 'Content-Type: application/json' -H 'User-Agent: Code Climate (PHP Test Reporter v0.1.1)' ht...
bash
d_bash_24377
--- +++ @@ -4,10 +4,10 @@ tabs 40 ulimit -c 0 -for i in *.c +for i in $@ do printf "%s\t" $i (set -e - scc -m qbe $i && ./a.out + scc -m qbe "$i" && ./a.out ) 2>/dev/null && echo [OK] || echo [FAILED] done
bash
d_bash_24378
--- +++ @@ -13,7 +13,7 @@ git init git add . git commit -m "deploy" - git push --force "https://${GH_TOKEN}@github.com/marionettejs/marionettejs.com.git" master:gh-pages + git push --force "https://${GITHUB_TOKEN}@github.com/marionettejs/marionettejs.com.git" master:gh-pages else npm run lint && npm ru...
bash
d_bash_24379
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash - +REQUEST_BODY='{"Locale": "en_US","Text": "This should be masked as it is a credit card 4111111111111111(VISA). This too should be masked as it is a North American phone number 1-(555)-555-5555? The service can also mask Social Security Numbers like this one: 555-55-5555"}' for...
bash
d_bash_24380
--- +++ @@ -1,3 +1,3 @@ -c++ -c -I.. -I../boost/include hash.cpp line_splitter.cpp probing_hash_utils.cpp quering.cpp vocabid.cpp storing.cpp +c++ -O3 -c -I.. -I../boost/include hash.cpp line_splitter.cpp probing_hash_utils.cpp quering.cpp vocabid.cpp storing.cpp ar rvs libprobingPT.a hash.o line_splitter.o probin...
bash
d_bash_24381
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh if [ ! -f /opt/magic_mirror/modules ]; then - cp -R /opt/magic_mirror/unmount_modules/. /opt/magic_mirror/modules + cp -Rn /opt/magic_mirror/unmount_modules/. /opt/magic_mirror/modules fi if [ ! -f /opt/magic_mirror/config ]; then
bash
d_bash_24382
--- +++ @@ -24,10 +24,10 @@ if [[ ! -s requirements.md5 ]] || ! md5sum --status -c requirements.md5 > /dev/null 2>&1; then echo "Python requirements in '$DIR' directory are out of date." if [[ -s requirements.txt ]]; then - pip install --user -r requirements.txt + pip install --upgrade --user...
bash
d_bash_24383
--- +++ @@ -26,7 +26,7 @@ --prefix=/ \ --with-sysroot=/ \ --with-build-sysroot="$sysroot" \ - --disable-gdb \ + --enable-gdb \ --disable-nls \ --disable-werror "$REDOX_MAKE" -j"$($NPROC)"
bash
d_bash_24384
--- +++ @@ -12,8 +12,9 @@ RDIR="$T-$(hostname)-$B-$C" rsync --verbose --recursive graphs/ "$RHOST:$RHOSTDIR/$RFOLDER/$RDIR" -ssh "$RHOST" chmod a+rx "$RHOSTDIR/$RFOLDER/$RDIR" -R +ssh "$RHOST" chmod a+rx "$RHOSTDIR/$RFOLDER/$RDIR" -R ; chgrp -R casio "$RHOSTDIR/$RFOLDER/$RDIR" REPORTS=$(ssh "$RHOST" "cd $RHOSTDI...
bash
d_bash_24385
--- +++ @@ -9,11 +9,18 @@ exit 1 fi +BISON_MAJOR_VER=`${BISON} --version |grep bison|sed -e "s;.* ;;" -e "s;\..*;;"` + +if test "${BISON_MAJOR_VER}" -ge "3"; then + BISON_OPTS="--warnings=deprecated,other,error=conflicts-sr,error=conflicts-rr" + +fi + #######################################################...
bash
d_bash_24386
--- +++ @@ -29,8 +29,7 @@ OS_ARCH="linux-amd64" VM_DRIVER="none" JOB_NAME="Linux-None" -EXTRA_ARGS="--bootstrapper=localkube" -EXTRA_START_ARGS="--kubernetes-version=file://$PWD/out/localkube" +EXTRA_ARGS="--bootstrapper=kubeadm" SUDO_PREFIX="sudo -E " export KUBECONFIG="/root/.kube/config"
bash
d_bash_24387
--- +++ @@ -4,16 +4,24 @@ ./install-dependencies.sh || exit 1 fi -source venv/bin/activate || exit 1 -pip install coveralls || exit 1 -deactivate || exit 1 +# Determine whether or not the test is run locally: +LOCAL_TEST="no" +if [ "x$TRAVIS_JOB_NUMBER" = "x" ]; then + LOCAL_TEST="yes" +fi + +if [ "$LOCAL_TE...
bash
d_bash_24388
--- +++ @@ -2,7 +2,7 @@ jspm update -for lib in $(xpath -q -e "//group[@name='libs']/*/text()" src/main/resources/wro.xml); do +for lib in $(xpath -e "//group[@name='libs']/*/text()" src/main/resources/wro.xml 2> /dev/null); do src=$(find target/jspm_packages/ -name $(basename $lib) -a -type f | head -1) i...
bash
d_bash_24389
--- +++ @@ -2,13 +2,12 @@ # For additional information on the options available, refer to # section EXPANSION OF PROMPT SEQUENCES of zshmisc(1) -eval PR_NO_COLOUR='${terminfo[sgr0]%}' read -r -d '' PROMPT <<EOF $PR_SET_CHARSET$PR_STITLE${(e)PR_TITLEBAR}\ [\ -%{$PR_GREEN%}%n@%m%{$PR_NO_COLOUR%}:\ -%{$PR_CYAN%}%...
bash
d_bash_24390
--- +++ @@ -4,7 +4,7 @@ echo "$DOCKER_PASSWORD" | docker login -u "$DOCKER_USERNAME" --password-stdin && docker push "${DOCKER_IMAGE_SLUG}":"${distribution,,}"-"${distribution_version}" && -[[ $distribution_alias ]] && +[[ $distribution_alias != '' ]] && { docker tag "${DOCKER_IMAGE_SLUG}":"${distribution,,...
bash